#
# spec file for package comedilib
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#

%define realver 0_11_0
Name:           comedilib
Version:        0.11.0
Release:        lp152.1.2
Summary:        Data Acquisition library for the Comedi DAQ driver
License:        LGPL-2.1-only
Group:          System/Libraries
URL:            http://www.comedi.org/
Source:         https://github.com/Linux-Comedi/comedilib/releases/download/r%{realver}/%{name}-%{version}.tar.gz
BuildRequires:  bison
BuildRequires:  xmlto
BuildRequires:  dblatex
BuildRequires:  flex
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  python2-devel
BuildRequires:  swig
Requires:       pcmciautils

%description
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments

%package devel
Summary:        Libraries/include files for Comedi
Group:          Development/Libraries/C and C++
Requires:       comedilib = %{version}

%description devel
Comedilib is a library for using Comedi, a driver interface for data
acquisition hardware

%package doc
Summary:        Documentation for Comedilib
Group:          Documentation/HTML

%description doc
Comedilib is a library for using Comedi, a driver interface for data
acquisition hardware

%package -n python-comedi
Summary:        Python bindings for Comedilib
Group:          Development/Libraries/Python
Requires:       comedilib = %{version}

%description -n python-comedi
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments
This package add the python bindings for using comedi

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS README ChangeLog
%if 0%{?suse_version} >= 01110
%dir %{_sysconfdir}/pcmcia
%endif
%{_sysconfdir}/pcmcia/comedi
%config %{_sysconfdir}/pcmcia/comedi.conf
%config %{_sysconfdir}/pcmcia/comedi.opts
%{_libdir}/libcomedi.so.*
%{_sbindir}/comedi_*
%{_bindir}/comedi_*
%{_mandir}/man7/comedi.7%{?ext_man}
%{_mandir}/man8/comedi_config.8%{?ext_man}
%{_mandir}/man1/comedi_board_info.1%{?ext_man}

%files -n python-comedi
%{_libdir}/python*/site-packages/*.so
%{_libdir}/python*/site-packages/comedi.py*

%files doc
%doc %{_datadir}/doc/comedilib
%{_mandir}/man3/comedi*.3%{?ext_man}

%files devel
%{_libdir}/pkgconfig/comedilib.pc
%{_libdir}/libcomedi.so
%{_includedir}/comedi*

%changelog
* Fri Feb 22 2019 Martin Hauke <mardnh@gmx.de>
- Update to version 0.11.0
- Specfile cleanup
  * Use github source URL
  * Remove unneeded stuff
  * Use %%configure macro
  * Run spec-cleaner
* Fri Jan  9 2015 dl8fcl@darc.de
- spec file rewored for openSUSE
* Mon Apr 14 2014 highwaystar.ru@gmail.com
- update to current git head 140410
* Mon Dec 19 2011 Rene.vanPaassen@gmail.com
- proper Group: tags, removed .a file
* Mon Dec 19 2011 Rene.vanPaassen@gmail.com
- update to 111201
